CJKAnalyzer (Lucene 2.4.1 API)
Keywords: org.apache.lucene.analysis.cjk.CJKAnalyzer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.cjk
Class CJKAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.analysis.cjk.CJKAnalyzer

    public class CJKAnalyzer

extends Analyzer

Filters CJKTokenizer with StopFilter.

Field Summary
`static String[]` | `STOP_WORDS` An array containing some common English words that are not usually useful for searching and some double-byte interpunctions.

Constructor Summary
`CJKAnalyzer()` Builds an analyzer which removes words in `STOP_WORDS`.
`CJKAnalyzer(String[] stopWords)` Builds an analyzer which removes words in the provided array.

Method Summary
`TokenStream` | `tokenStream(String fieldName, Reader reader)` get token stream from input

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getPositionIncrementGap, getPreviousTokenStream, reusableTokenStream, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STOP_WORDS

    public static final String[] STOP_WORDS

  An array containing some common English words that are not usually useful for searching and some double-byte interpunctions.

Constructor Detail

### CJKAnalyzer

    public CJKAnalyzer()

  Builds an analyzer which removes words in `STOP_WORDS`.

### CJKAnalyzer

    public CJKAnalyzer(String[] stopWords)

  Builds an analyzer which removes words in the provided array.

  Parameters:
    `stopWords` - stop word array

Method Detail

### tokenStream

    public final TokenStream tokenStream(String fieldName,
                                         Reader reader)

  get token stream from input

  Specified by:
    `tokenStream` in class `Analyzer`
  Parameters:
    `fieldName` - lucene field name
    `reader` - input reader
  Returns:
    TokenStream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.